#!/bin/sh

[ -x ./xowner ] || make

get_owner() {
  echo -n "$1"
  OWNER=$(./xowner $1)
  if [ $OWNER != "0x0" ];
  then
    xwininfo -id $OWNER > /dev/null 2>&1;
    if [ $? -eq 0 ];
    then
      OWNER_NAME=$(xprop -id $OWNER | grep "^WM_NAME" | cut -d ' ' -f 3-)
      if [ -z "$OWNER_NAME" ];
      then
        OWNER_NAME="$OWNER"
      fi
      echo -n " owned by $OWNER_NAME"
    fi
  fi

  echo ":"
}


get_owner "PRIMARY"
xclip -out -selection primary 2> /dev/null
echo
echo

get_owner "SECONDARY"
xclip -out -selection secondary 2> /dev/null
echo
echo

get_owner "CLIPBOARD"
xclip -out -selection clipboard 2> /dev/null
echo
echo

get_owner "CUT_BUFFER0"
xcb -p 0
echo
echo
